// create-small-spectrum-css.js
import fs from 'fs';
import readline from 'readline';
import path from 'path';

// Define the smallCss function
const smallCss = function () {
    return new Promise(function (resolve, reject) {
        try {
            var inputFile = 'node_modules/@spectrum-css/vars/css/scales/spectrum-medium.css';
            var outputFile = 'src/styles/spectrum-small.css';
            var instream = fs.createReadStream(inputFile);
            var outstream = fs.createWriteStream(outputFile);
            var rl = readline.createInterface(instream);

            rl.on('line', function (line) {
                var match = line.match(/(\d+)px;/);

                if (match) {
                    var newNumber = Math.round(parseInt(match[1]) * 0.85);
                    line = line.replace(match[0], newNumber + "px;");
                }
                outstream.write(line + '\n');
            });

            rl.on('close', function () {
                outstream.end();
                resolve();
            });
        } catch (e) {
            reject(e);
        }
    });
}

// Execute the function
smallCss().then(() => {
    console.log('spectrum-small-1.css file created successfully.');
}).catch((error) => {
    console.error('Error:', error);
});
